RKMOUNTDIC(3)

NAME
RkMountDic - mount a dictionary in the dictionary list

SYNOPSIS
#include <canna/RK.h>
int RkMountDic(cxnum, dicname, mode)
int cxnum;
char *dicname;
int mode;

DESCRIPTION
RkMountDic mounts a dictionary in the dictionary list. The dictionary name is got with RkGetDicList(3). RkMountDic appends the named dictionary to the dictionary list. The dictionary thus mounted can be used from the next run of kana-kanji conversion. mode is meaningless at this moment.

The dictionary to be mounted must not have already been mounted in the present context.

RETURN VALUE
This function returns 0 if successful; otherwise, it returns -1.

SEE ALSO
RkUnmountDic(3)